List the events of an offer
The timeline of the offer, oldest first (by sequence). Use next_cursor to page.
GET
/
offers
/
{id}
/
events
List the events of an offer
curl --request GET \
--url https://app.hocdoc.com/api/v1/offers/{id}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hocdoc.com/api/v1/offers/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hocdoc.com/api/v1/offers/{id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"sequence": 1,
"type": "created",
"occurred_at": "2026-09-28T09:00:12.481Z",
"version": null,
"data": {}
},
{
"sequence": 2,
"type": "sent",
"occurred_at": "2026-09-29T10:15:00.642Z",
"version": 1,
"data": {
"recipient_email": "john@example.com"
}
},
{
"sequence": 3,
"type": "viewed",
"occurred_at": "2026-09-29T11:02:11.480Z",
"version": 1,
"data": {}
},
{
"sequence": 4,
"type": "section_viewed",
"occurred_at": "2026-09-29T11:02:40.112Z",
"version": 1,
"data": {
"section_id": "pricing-1",
"duration_ms": 4200
}
},
{
"sequence": 5,
"type": "code_requested",
"occurred_at": "2026-10-02T14:06:58.320Z",
"version": 1,
"data": {
"signer_email": "john@example.com"
}
},
{
"sequence": 6,
"type": "code_verified",
"occurred_at": "2026-10-02T14:07:31.775Z",
"version": 1,
"data": {
"signer_email": "john@example.com"
}
},
{
"sequence": 7,
"type": "accepted",
"occurred_at": "2026-10-02T14:07:45.912Z",
"version": 1,
"data": {
"signer_email": "john@example.com"
}
}
],
"next_cursor": null
}Autorisierungen
API key, for example hd_live_….
Pfadparameter
ID of the offer.
Abfrageparameter
Page size, 1 to 200.
Erforderlicher Bereich:
1 <= x <= 200Opaque cursor from next_cursor of the previous page.
Required string length:
1 - 512⌘I
List the events of an offer
curl --request GET \
--url https://app.hocdoc.com/api/v1/offers/{id}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.hocdoc.com/api/v1/offers/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hocdoc.com/api/v1/offers/{id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"sequence": 1,
"type": "created",
"occurred_at": "2026-09-28T09:00:12.481Z",
"version": null,
"data": {}
},
{
"sequence": 2,
"type": "sent",
"occurred_at": "2026-09-29T10:15:00.642Z",
"version": 1,
"data": {
"recipient_email": "john@example.com"
}
},
{
"sequence": 3,
"type": "viewed",
"occurred_at": "2026-09-29T11:02:11.480Z",
"version": 1,
"data": {}
},
{
"sequence": 4,
"type": "section_viewed",
"occurred_at": "2026-09-29T11:02:40.112Z",
"version": 1,
"data": {
"section_id": "pricing-1",
"duration_ms": 4200
}
},
{
"sequence": 5,
"type": "code_requested",
"occurred_at": "2026-10-02T14:06:58.320Z",
"version": 1,
"data": {
"signer_email": "john@example.com"
}
},
{
"sequence": 6,
"type": "code_verified",
"occurred_at": "2026-10-02T14:07:31.775Z",
"version": 1,
"data": {
"signer_email": "john@example.com"
}
},
{
"sequence": 7,
"type": "accepted",
"occurred_at": "2026-10-02T14:07:45.912Z",
"version": 1,
"data": {
"signer_email": "john@example.com"
}
}
],
"next_cursor": null
}